This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 530835 - gstreamer-plugins-good and schroedinger 1.0.8
gstreamer-plugins-good and schroedinger 1.0.8
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-25 10:59 EDT by Nicolas Chauvet (kwizart)
Modified: 2009-12-01 05:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-30 17:18:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2009-10-25 10:59:56 EDT
Description of problem: while updating schoedinger from 1.0.7 (which previously FTBFS in rawhide) to 1.0.8, the gstreamer plugin disappeared from the schroedinger source release.
Actually It was moved to the gstreamer-plugins-bad package which isn't in fedora.

I beleive that the gstreamer plugin for dirac deserves to remain in fedora. But while updating the schroedinger code fetched from -bad, there is a need to also pick the libgstbasevideo which the libgstschro plugin requires.
That module is currently built statially to avoid conflicts with another package.

Version-Release number of selected component (if applicable):
current

How reproducible: always



Expected results:


Additional info:
The current WIP schroedinger package.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1766879
Testing with this sample:
http://streams.videolan.org/streams-videolan/matroska/codec_test.schro.mkv
Comment 1 Nicolas Chauvet (kwizart) 2009-10-25 11:05:04 EDT
Expected results:
I would avoid to have a package to build statically. So I would suggest to either:
- Move libgstbasevideo.so and libgstschro to -good.
- move libgstbasevideo.so only to -good so gstreamer-plugins-schroedinger can pick it as shared object.
- Leave everything with the current gstreamer-plugins-schroedinger sub-package.
(and leave libgstbasevideo built statically).
Comment 2 Nicolas Chauvet (kwizart) 2009-10-27 19:43:37 EDT
built for dist-F-13:
http://koji.fedoraproject.org/koji/buildinfo?buildID=138695

I'm listening for advices to build the F-12 version and eventually, request f12-final.
Comment 3 Nicolas Chauvet (kwizart) 2009-11-08 11:49:56 EST
schroedinger was requested in F-12 updates-testing.

Please keep this bug open until a 'home' is found for the gstreamer plugin schroedinger in fedora.
Comment 4 Bastien Nocera 2009-11-10 06:14:12 EST
Why can't you move this bug to schroedinger?

In any case, we'll hopefully be shipping gstreamer-plugins-bad soon, including the schroedinger plugin.
Comment 5 Nicolas Chauvet (kwizart) 2009-11-11 09:12:07 EST
@Bastien, I'm one on the shroedinger maintainer. But the purpose of this bug is to keep in touch with the gstreamer maintainer(s), specially as the plugin move from one package to another often lead to conflicts.

Now schroedinger is triple licensed (GPL+ or LGPLv2+ or MIT or MPLv1.1), so I don't know, but I would expect it to be mergeable in -good. Anyway one of the module needed by gst-plugin-schro (libgstbasevideo) will need to be in -good before anything else.
Comment 6 Bastien Nocera 2009-11-11 09:21:11 EST
(In reply to comment #5)
> @Bastien, I'm one on the shroedinger maintainer. But the purpose of this bug is
> to keep in touch with the gstreamer maintainer(s), specially as the plugin move
> from one package to another often lead to conflicts.

It wasn't in good, and was never in good. And I won't be copy/pasting it to good when a schroedinger sub-package will do just as well.

> Now schroedinger is triple licensed (GPL+ or LGPLv2+ or MIT or MPLv1.1), so I
> don't know, but I would expect it to be mergeable in -good. Anyway one of the
> module needed by gst-plugin-schro (libgstbasevideo) will need to be in -good
> before anything else.  

The upstream schroedinger plugin is in -bad, and we're trying to package the free bits of bad in Fedora, so that's where the plugin would end up.

Leaving this bug opened against gstreamer-plugins-good isn't of much help in any case.
Comment 7 Bug Zapper 2009-11-16 09:16:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Nicolas Chauvet (kwizart) 2009-11-30 17:18:05 EST
OK so gst-plugin-schroedinger 1.0.8 is in updates-stable, please cc'd me when -bad will be in review...
Comment 9 Bastien Nocera 2009-12-01 05:47:19 EST
Already in review at:
https://bugzilla.redhat.com/show_bug.cgi?id=532470

Note You need to log in before you can comment on or make changes to this bug.